`simulnewdata` <-
function(reg,n=500,min=0,max=1,s=0.1){
# Usage: simulnewdata(reg,n=500,min=0,max=1,s=0.1);
x = as.matrix(runif(n,min=min,max=max),length.out=n);
xx = basismat(x,reg$d,reg$method);
y = xx %*% reg$prms + rnorm(n,s=s);
data <- list(X=x,Y=y);
}

